/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2005 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

\*---------------------------------------------------------------------------*/

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

inline const List<word>& molConfig::molIdList() const
{
    return idList_;
}


inline const labelField& molConfig::id() const
{
    return id_;
}


inline const scalarField& molConfig::mass() const
{
    return mass_;
}


inline const vectorField& molConfig::positions() const
{
    return positions_;
}


inline const labelField& molConfig::cells() const
{
    return cells_;
}


inline const vectorField& molConfig::U() const
{
    return U_;
}


inline const vectorField& molConfig::A() const
{
    return A_;
}


inline const labelField& molConfig::tethered() const
{
    return tethered_;
}


inline const vectorField& molConfig::tetherPositions() const
{
    return tetherPositions_;
}


inline label molConfig::nMol() const
{
    return nMol_;
}


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// ************************************************************************* //
